1 Reply Latest reply on Mar 16, 2009 5:00 AM by Pablo Gañán

    wsprovide fails - JAXB-API problem

    Markus Fischer Newbie

      Hi there,

      I just tried to use wsprovide to generate the JAX-WS portable artifacts for my web service but it fails:

      java.lang.LinkageError: JAXB 2.0 API is being loaded from the bootstrap classloader, but this RI (from jar:file:/C:/programme/Java/jboss-4.2.3.GA/client/jaxb-impl.jar!/com/sun/xml/bind/v2/model/impl/ModelBuilder.class) needs 2.1 API. Use the endorsed directory mechanism to place jaxb-api.jar in the bootstrap classloader. (See http://java.sun.com/j2se/1.5.0/docs/guide/standards/)


      I already tried to move the jaxb-api.jar from %JBOSS_HOME%/lib to %JBOSS_HOME%/lib/endorsed but that had no effect...

      I'm using JBoss 4.2.3GA and JDK 1.6.0_12, any ideas how to fix this?